POST /projects/{project_id}/webhooks/{endpoint_id}/rotate-secret
Rotate the signing secret with a 24-hour overlap
Console session only (signed-in console).
Parameters
| Name | In | Type | Description |
|---|---|---|---|
project_id | path | string · required | |
endpoint_id | path | string · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | New secret displayed only once | WebhookRotateSecretResponse |
404 | webhook_not_found | |
503 | webhook_unavailable |
Examples
curl
curl -X POST "$GALON_API_BASE/projects/<project_id>/webhooks/<endpoint_id>/rotate-secret" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.webhooks.rotateSecret("<id>");Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.webhooks.rotate_secret("<id>")